%define	major 1
%define	libname	%mklibname sndfile %{major}
%define develname %mklibname sndfile -d
%define staticname %mklibname sndfile -d -s
%define build_octave 0

%define bootstrap 0
%{?_without_bootstrap: %global bootstrap 0}
%{?_with_bootstrap: %global bootstrap 1}

Summary:	A library to handle various audio file formats
Name:		libsndfile
Version:	1.1.0
Release:	%mkrel 2
License:	LGPLv2+
Group:		Sound
URL:		https://github.com/libsndfile/libsndfile
Source0:	http://www.mega-nerd.com/libsndfile/%{name}-%{version}.tar.xz
#Patch1:		libsndfile-1.0.25-divide-by-zero.patch
Patch5:		libsndfile-psf_strlcpy_crlf-fix-CVE-2015-8075.patch
Patch408:	libsndfile-wav-loop-count-fix.patch
BuildRequires:	libogg-devel
BuildRequires:	libvorbis-devel
BuildRequires:	sqlite3-devel
BuildRequires:	libflac-devel
BuildRequires:	libalsa-devel
%if !%bootstrap
BuildRequires:	libjack-devel
BuildRequires:	libsamplerate-devel
%endif
BuildRequires:	celt-devel
BuildRequires:	autogen
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Obsoletes:  	%name < %version


%description
libsndfile is a C library for reading and writing sound files such as
AIFF, AU and WAV files through one standard interface. It can currently
read/write 8, 16, 24 and 32-bit PCM files as well as 32-bit floating
point WAV files and a number of compressed formats.

%package -n %{libname}
Summary:	Shared library of sndfile
Group:		System/Libraries

%description -n	%{libname}
libsndfile is a C library for reading and writing sound files such as
AIFF, AU and WAV files through one standard interface. It can currently
read/write 8, 16, 24 and 32-bit PCM files as well as 32-bit floating
point WAV files and a number of compressed formats.

This package contains the shared library to run applications based on
libsndfile.

%package -n %{develname}
Summary:	Libraries, includes, etc to develop libsndfile applications 
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Requires:	libflac-devel
Provides:	sndfile-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname sndfile 1 -d
Obsoletes:	%{staticname}

%description -n	%{develname}
Libraries, include files, etc you can use to develop libsndfile applications.

%package progs
Summary:	Example progs based on libsndfile
Group:		Sound 

%description	progs
This contains sndfile-info for printing information about a sound
file and sndfile-play for playing a sound file.


%if %build_octave
%package octave
Summary:	Octave modules based on libsndfile
Group:		Sound 
BuildRequires:	octave3-devel

%description octave
This contains octave modules based on libsndfile for reading, writing and 
playing audio files.
%endif

%prep
%setup -qn %{name}-%{version}
%apply_patches

%build
autoreconf -fiv
export LDFLAGS="-L/usr/lib64/libglvnd/ $LDFLAGS"
%configure2_5x
%make

%install
rm -rf %{buildroot} 

%makeinstall_std 
rm -rf %{buildroot}%{_includedir}/FLAC
%multiarch_includes %buildroot%_includedir/sndfile.h

rm -rf %{buildroot}/%{_datadir}/doc/libsndfile
rm -f %{buildroot}%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libsndfile.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/libsndfile.so
%multiarch %_includedir/multiarch-*/sndfile.h
%{_includedir}/sndfile.h
%{_includedir}/sndfile.hh
%{_libdir}/pkgconfig/sndfile.pc

%files progs
%defattr(-,root,root)
%{_bindir}/sndfile-*
%{_mandir}/man1/*

%if %build_octave
%files octave
%defattr(-,root,root)
%{_datadir}/octave/
%_libdir/octave/*/site/oct/*/*.oct
%endif

%changelog
* Mon Mar 27 2023 tex - 1.1.0-2pclos2023
- rebuild against updates

* Wed Jul 06 2022 onkelho <oh.quait at gmail.com> - 1.1.0-1pclos2022
- new version

* Mon Feb 08 2021 tex - 1.0.31-1pclos2021
- new version

* Wed Nov 18 2020 tex - 1.0.30-1pclos2020
- new version

* Sun Apr 09 2017 bb2 <bb2> - 1.0.27-1pclos2017
- new version

* Tue Jan 05 2016 bb <bb> 1.0.26-1pclos2016
- update

* Sun Apr 08 2012 Cyrylas <cyrylas at gmail.com> 1.0.25-1cyrylas2011
- 1.0.25, Fix for Secunia Advisory SA45125

* Wed Mar 23 2011 Texstar <texstar at gmail.com> 1.0.24-1pclos2011
- 1.0.24
